gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gdk.ModifierTypeGType)) System.Flags An enum to indicate the state of modifier keys and mouse buttons in various event types. Typical modifier keys are Shift, Control, Meta, Super, Hyper, Alt, Compose, APple, CapsLock or ShiftLock. Like the X Window System, GDK supports 8 modifier keys and 5 mouse buttons. None.
- Field
  2.12.0.0
  Gdk.ModifierType The first mouse button.
- Field
  2.12.0.0
  Gdk.ModifierType The second mouse button.
- Field
  2.12.0.0
  Gdk.ModifierType The third mouse button.
- Field
  2.12.0.0
  Gdk.ModifierType The fourth mouse button.
- Field
  2.12.0.0
  Gdk.ModifierType The fifth mouse button.
- Field
  2.12.0.0
  Gdk.ModifierType The Control key.
- Field
  2.12.0.0
  Gdk.ModifierType Hyper key modifier.
- Field
  2.12.0.0
  Gdk.ModifierType A Lock Key (depending on the modifier mapping of the X server this may either be CapsLock or ShiftLock).
- Field
  2.12.0.0
  Gdk.ModifierType Meta key modifier.
- Field
  2.12.0.0
  Gdk.ModifierType The fourth modifier key (it depends on the modifier mapping of the X server which key is interpreted as this modifer, but normally it is the Alt key).
- Field
  2.12.0.0
  Gdk.ModifierType The fifth modifier key (it depends on the modifier mapping of the X server which key is interpreted as this modifier).
- Field
  2.12.0.0
  Gdk.ModifierType The sixth modifier key (it depends on the modifier mapping of the X server which key is interpreted as this modifier).
- Field
  2.12.0.0
  Gdk.ModifierType The seventh modifier key (it depends on the modifier mapping of the X server which key is interpreted as this modifier).
- Field
  2.12.0.0
  Gdk.ModifierType The eighth modifier key (it depends on the modifier mapping of the X servier which key is interpreted as this modifier).
- Field
  2.12.0.0
  Gdk.ModifierType A mask covering all modifier types.
- Field
  2.12.0.0
  Gdk.ModifierType No modifiers present.
- Field
  2.12.0.0
  Gdk.ModifierType Not used in GDK itself. GTK+ uses it to differentiate between (keyval, modifiers) pairs from key press and release events.
- Field
  2.12.0.0
  Gdk.ModifierType The Shift key.
- Field
  2.12.0.0
  Gdk.ModifierType Super key modifier.